Last Comment Bug 2341 - Charset Handling- Parser does not use default charset value set by Default Charset Menu
: Charset Handling- Parser does not use default charset value set by Default Ch...
Status: VERIFIED FIXED
:
Product: Core
Classification: Components
Component: HTML: Parser (show other bugs)
: Trunk
: All Windows 98
: P1 critical (vote)
: M5
Assigned To: Frank Tang
: Teruko Kobayashi
Mentors:
: 4869 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 1999-01-13 17:51 PST by Teruko Kobayashi
Modified: 1999-06-17 11:42 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Teruko Kobayashi 1999-01-13 17:51:32 PST
Tested Jan 12 Win32 build.

No encoding menu, so we cannot test the different encoding.
Comment 1 leger 1999-02-03 08:04:59 PST
Setting all current Open Critical and Major to M3
Comment 2 Paul MacQuiddy 1999-03-05 23:31:59 PST
per leger, assigning QA contacts to all open bugs without QA contacts according
to list at http://bugzilla.mozilla.org/describecomponents.cgi?product=Browser
Comment 3 leger 1999-03-10 07:50:59 PST
Setting QA Contact to teruko.
Comment 4 chris hofmann 1999-03-15 07:44:59 PST
Bob, is there a way to hack this without having encoding selection
on the menu.  If there is a way to do this testing right now lets just
release not that way.
Comment 5 Frank Tang 1999-03-15 14:32:59 PST
Hook up the Default charset menu w/ nsParser may need to change the
nsParser::Parse interface. I think we probably should do this post dog food. And
I need to talk to rickg about the interface change. There is a work around for
meta tag pages so we don't need this for browser. We do need this to test
Japanese mail on window but naoki is working on a hack in libmime to reduce the
need. If that hack is check in, I don't think we need this for M3.

Change this to M4.
Comment 6 Frank Tang 1999-03-15 14:33:59 PST
Hook up the Default charset menu w/ nsParser may need to change the
nsParser::Parse interface. I think we probably should do this post dog food. And
I need to talk to rickg about the interface change. There is a work around for
meta tag pages so we don't need this for browser. We do need this to test
Japanese mail on window but naoki is working on a hack in libmime to reduce the
need. If that hack is check in, I don't think we need this for M3.

Change this to M4.
Comment 7 nhottanscp 1999-03-17 11:34:59 PST
When activating a charset menu, depends on a context, more actions may be needed
than just notify the charset change to the parser.
For example, if a mail folder is selected, we need to notify the messenger to
change a charset attribute of the mail folder.
Should I create a new bug for this?
Comment 8 nhottanscp 1999-03-18 11:56:59 PST
The messenger charset menu issue was separated as #3966.
Comment 9 Frank Tang 1999-04-05 11:50:59 PDT
We have put in the Default Charset Menu for browser, hookup the JS w/
BrowserAppsCore and pass the info into nsWebShell. Now the problem is the Parser
( or the code which create the parser) does not get that information and pass it
to Parser. Reassign this to rickg since this need API change in parser. Change
the summary from "Charset Handling- No encoding menu." to "Charset Handling-
Parser does not use default charset value set by Default Charset Menu"
Comment 10 rickg 1999-04-05 18:12:59 PDT
Frank -- I'm giving this to you until we start calling:
nsParser::SetDefaultCharset().
Comment 11 Frank Tang 1999-04-06 13:55:59 PDT
Change to M5 from M4 since neeti and rickg have not implement the META tag
observer yet.
Comment 12 Frank Tang 1999-04-06 13:55:59 PDT
change platform to all
Comment 13 Frank Tang 1999-04-12 16:09:59 PDT
*** Bug 4869 has been marked as a duplicate of this bug. ***
Comment 14 Frank Tang 1999-04-27 12:37:59 PDT
encoding menu is done. We now pass the Parser the default charset from the
webshell.
Comment 15 Teruko Kobayashi 1999-06-17 11:42:59 PDT
Character Default menu is working, so I mark this as verified.

Note You need to log in before you can comment on or make changes to this bug.